Subject: Re: bug#73452: Code lens support in eglot

From: Dmitry Gutov <[email-masked]>
Date: Thu, 3 Oct 2024 02:26:40 +0300

On 02/10/2024 14:57, Felician Nemeth wrote:
> Dmitry Gutov<[email-masked]> writes:
> 
>> Running tests is the #1 use I found for them when writing some Go
>> recently. Eglot doesn't have a built-in test launcher of any sort, so
>> that feels like an omission.
> Rust-analyzer has some protocol extensions to work together with a
> remote "Test Explorer".  It seems a test explorer module is part of
> Visual Studio and VS Code.  I think a similar Emacs package that lets
> the user organize/run tests and review test results would be a good ELPA
> package.  (Even if it does not work with Eglot at the beginning.)
> 
> https://learn.microsoft.com/en-us/visualstudio/test/run-unit-tests-with- 
> test-explorer?view=vs-2022
> https://github.com/rust-lang/rust-analyzer/blob/master/docs/dev/lsp- 
> extensions.md#test-explorer

That looks useful, thank you.

I wonder how many of the popular servers implement this, though. And 
what UI an Emacs implementation should prefer (overall that seems a fair 
bit more work than adding buttons inside Eglot-managed buffers).